Переполнение буфера в Soulseek

Дата публикации:
30.05.2009
Дата изменения:
31.05.2009
Всего просмотров:
2042
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Soulseek 1.x
Уязвимые версии: Soulseek 156 и 157 NS, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке поисковых сообщений. Удаленный пользователь может с помощью слишком длинного поискового запроса вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.slsknet.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Soulseek 157 NS */ 156.* Remote Distributed Search Code Execution PoC
Soulseek 157 NS Remote Buffer Overflow Exploit (SEH)

или введите имя

CAPTCHA